var search_data = {"index":{"searchIndex":["fa","automaton","error","ffi","outofmemoryerror","<=()","==()","[]()","compile()","complement()","concat()","contains()","empty?()","epsilon?()","equals()","from_ptr()","intersect()","is_basic()","iter()","make_basic()","maybe()","minimize()","minus()","new()","plus()","release()","star()","to_s()","total?()","union()"],"longSearchIndex":["fa","fa::automaton","fa::error","fa::ffi","fa::outofmemoryerror","fa::automaton#<=()","fa::automaton#==()","fa::[]()","fa::compile()","fa::automaton#complement()","fa::automaton#concat()","fa::automaton#contains()","fa::automaton#empty?()","fa::automaton#epsilon?()","fa::automaton#equals()","fa::automaton#from_ptr()","fa::automaton#intersect()","fa::automaton#is_basic()","fa::automaton#iter()","fa::make_basic()","fa::automaton#maybe()","fa::automaton#minimize()","fa::automaton#minus()","fa::automaton::new()","fa::automaton#plus()","fa::automaton::release()","fa::automaton#star()","fa::automaton#to_s()","fa::automaton#total?()","fa::automaton#union()"],"info":[["Fa","","Fa.html","","<p>Namespace for the libfa bindings\n"],["Fa::Automaton","","Fa/Automaton.html","","<p>The class representing a finite automaton. It contains a pointer to a +struct fa+ from <code>libfa</code> and provides …\n"],["Fa::Error","","Fa/Error.html","","<p>A generic error encountered during an fa operation\n"],["Fa::FFI","","Fa/FFI.html","",""],["Fa::OutOfMemoryError","","Fa/OutOfMemoryError.html","","<p>An operation in libfa failed because it could not allocate enough memory\n"],["<=","Fa::Automaton","Fa/Automaton.html#method-i-3C-3D","(other)","<p>Returns whether <code>other</code> matches all the strings that <code>self</code> matches. <code>other</code> may match more strings than that. …\n"],["==","Fa::Automaton","Fa/Automaton.html#method-i-3D-3D","(other)","<p>Returns whether <code>self</code> and <code>other</code> match the same set of strings\n<p>@param [Fa::Automaton] other @return [Boolean] …\n"],["[]","Fa","Fa.html#method-c-5B-5D","(rx)","<p>Compiles <code>rx</code> into a finite automaton @param [String] rx a regular expression @return [Fa::Automaton] the …\n"],["compile","Fa","Fa.html#method-c-compile","(rx)","<p>Compiles <code>rx</code> into a finite automaton @param [String] rx a regular expression @return [Fa::Automaton] the …\n"],["complement","Fa::Automaton","Fa/Automaton.html#method-i-complement","()","<p>Produces the complement of <code>self</code>. <code>self</code> will not be modified. The resulting automaton will match all strings …\n"],["concat","Fa::Automaton","Fa/Automaton.html#method-i-concat","(other)","<p>Concatenates <code>self</code> with <code>other</code>, corresponding to <code>SO</code>. Neither <code>self</code> nor <code>other</code> will be modified.\n<p>@param [Fa::Automaton] …\n"],["contains","Fa::Automaton","Fa/Automaton.html#method-i-contains","(other)","<p>Returns whether <code>self</code> matches all the strings that <code>other</code> matches. <code>self</code> may match more strings than that. …\n"],["empty?","Fa::Automaton","Fa/Automaton.html#method-i-empty-3F","()","<p>Returns whether <code>self</code> is the empty automaton, i.e., matches no words at all @return [Boolean]\n"],["epsilon?","Fa::Automaton","Fa/Automaton.html#method-i-epsilon-3F","()","<p>Returns whether <code>self</code> is the epsilon automaton, i.e., matches only the empty string @return [Boolean] …\n"],["equals","Fa::Automaton","Fa/Automaton.html#method-i-equals","(other)","<p>Returns whether <code>self</code> and <code>other</code> match the same set of strings\n<p>@param [Fa::Automaton] other @return [Boolean] …\n"],["from_ptr","Fa::Automaton","Fa/Automaton.html#method-i-from_ptr","(ptr)",""],["intersect","Fa::Automaton","Fa/Automaton.html#method-i-intersect","(other)","<p>Produces the intersection of <code>self</code> and <code>other</code>. Neither <code>self</code> nor <code>other</code> will be modified. The resulting automaton …\n"],["is_basic","Fa::Automaton","Fa/Automaton.html#method-i-is_basic","(kind)","<p>Returns whether <code>self</code> is the empty, epsilon or total automaton\n<p>@param [:empty, :epsilon, :total] kind @return …\n"],["iter","Fa::Automaton","Fa/Automaton.html#method-i-iter","(min, max)","<p>Produces an iteration of <code>self</code>, corresponding to +S{min,max}+. <code>self</code> will not be modified.\n<p>@param [Int] …\n"],["make_basic","Fa","Fa.html#method-c-make_basic","(kind)","<p>Makes a basic finite automaton, either an empty, epsilon, or total finite automaton. Those match no words, …\n"],["maybe","Fa::Automaton","Fa/Automaton.html#method-i-maybe","()","<p>Produces an iteration of zero or one <code>self</code>, corresponding to <code>S?</code>. <code>self</code> will not be modified.\n<p>@raise OutOfMemoryError …\n"],["minimize","Fa::Automaton","Fa/Automaton.html#method-i-minimize","()","<p>Minimizes this automaton in place. Uses either Hopcroft’s or Brzozowski’s algorithm. Due to a …\n"],["minus","Fa::Automaton","Fa/Automaton.html#method-i-minus","(other)","<p>Produces the difference of <code>self</code> and <code>other</code>. Neither <code>self</code> nor <code>other</code> will be modified. The resulting automaton …\n"],["new","Fa::Automaton","Fa/Automaton.html#method-c-new","(faptr)",""],["plus","Fa::Automaton","Fa/Automaton.html#method-i-plus","()","<p>Produces an iteration of at least one <code>self</code>, corresponding to <code>S</code>+. <code>self</code> will not be modified.\n<p>@raise OutOfMemoryError …\n"],["release","Fa::Automaton","Fa/Automaton.html#method-c-release","(faptr)",""],["star","Fa::Automaton","Fa/Automaton.html#method-i-star","()","<p>Produces an iteration of any number of <code>self</code>, corresponding to <code>S*</code>. <code>self</code> will not be modified.\n<p>@raise OutOfMemoryError …\n"],["to_s","Fa::Automaton","Fa/Automaton.html#method-i-to_s","()","<p>Return the representation of <code>self</code> as a regular expression. Note that that regular expression can look …\n"],["total?","Fa::Automaton","Fa/Automaton.html#method-i-total-3F","()","<p>Returns whether <code>self</code> is the total automaton, i.e., matches all possible words. @return [Boolean]\n"],["union","Fa::Automaton","Fa/Automaton.html#method-i-union","(other)","<p>Produces the union of <code>self</code> with <code>other</code>, corresponding to +S|O+. Neither <code>self</code> nor <code>other</code> will be modified. …\n"]]}}